let userName = prompt("What is your name?");
if (!userName) {
  userName = prompt("What is your name?");
}
let userAge = +prompt("How old are you?");
if (isNaN(userAge)) {
  userAge = prompt("How old are you?");
}
if (userAge < 18) {
  alert("You are not allowed to visit this website.");
} else if (userAge >= 18 && userAge <= 22) {
  const verification = confirm("Are you sure you want to continue?");

  if (verification) {
    alert(`Welcome, ${userName}!`);
  } else {
    alert("You are not allowed to visit this website");
  }
} else {
  alert(`Welcome, ${userName}!`);
}

// Відповіді на теоретичні запитання:

// №1
// var, let і const - ключові слова, які використовуються для оголошення змінної.
// У чому різниця:
// 1) На відміну від var, яка обмежена функцією (змінну видно в межах функції),
// область видимості let і const - блок (всередині фігурних дужок {.....}), в рамках якого створені ці змінні.

// 2) Змінні, оголошені за допомогою let, можна оновлювати в рамках області їхньої видимості (так само, як і var).
// Однак тут відмінність let від var у тому, що let не дозволяє повторно оголошувати змінну в рамках її області видимості.
// Якщо ж оголошувати змінну з однаковою назвою за допомогою let в різних областях видимості (у різних блоках коду), то помилки не буде.

// 3)Використання const не передбачає переприсвоєння значення, присвоюється тільки одне значення.
// На відміну від const змінну, оголошену через let і var, можна оголошувати ще до присвоєння їй значення.

// №2
// Тут найголовніше - це область видимості. Змінні, оголошені за допомогою var, мають область видимості в рамках функції,
// тобто вони доступні в межах цієї функції. В іншому випадку їхня область видимості - глобальна, задається для всього документу.
// Однак по хорошому область видимості змінної має обмежуватися її потребами, а не бути надто великою,
// адже це допоможе уникнути небажаних помилок.
